API Explorer 936 endpoints

Get Views for Account

GET /obp/v7.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/views

OBPv5.0.0-getViewsForBankAccount No role required View-CustomAccount

#Views

Views in Open Bank Project provide a mechanism for fine grained access control and delegation to Accounts and Transactions. Account holders use the 'owner' view by default. Delegated access is made through other views for example 'accountants', 'share-holders' or 'tagging-application'. Views can be created via the API and each view has a list of entitlements.

Views on accounts and transactions filter the underlying data to redact certain fields for certain users. For instance the balance on an account may be hidden from the public. The way to know what is possible on a view is determined in the following JSON.

Data: When a view moderates a set of data, some fields my contain the value null rather than the original value. This indicates either that the user is not allowed to see the original data or the field is empty.

There is currently one exception to this rule; the 'holder' field in the JSON contains always a value which is either an alias or the real name - indicated by the 'is_alias' field.

Action: When a user performs an action like trying to post a comment (with POST API call), if he is not allowed, the body response will contain an error message.

Metadata: Transaction metadata (like images, tags, comments, etc.) will appears ONLY on the view where they have been created e.g. comments posted to the public view only appear on the public view.

The other account metadata fields (like image_URL, more_info, etc.) are unique through all the views. Example, if a user edits the 'more_info' field in the 'team' view, then the view 'authorities' will show the new value (if it is allowed to do it).

All

Optional

Returns the list of the views created for account ACCOUNT_ID at BANK_ID.

User Authentication is Required. The User must be logged in. The Application must also be authenticated. and the user needs to have access to the owner view.

URL Parameters:

ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0

BANK_ID: gh.29.uk

JSON response body fields (85)
alias
can_add_comment
can_add_corporate_location
can_add_counterparty
false
can_add_image
can_add_image_url
false
can_add_more_info
false
can_add_open_corporates_url
can_add_physical_location
can_add_private_alias
can_add_public_alias
can_add_tag
false
can_add_transaction_request_to_any_account
can_add_transaction_request_to_own_account
false
can_add_url
can_add_where_tag
can_create_direct_debit
false
can_create_standing_order
can_delete_comment
can_delete_corporate_location
false
can_delete_image
false
can_delete_physical_location
can_delete_tag
can_delete_where_tag
false
can_edit_owner_comment
false
can_grant_access_to_views
can_grant_access_to_views
can_query_available_funds
false
can_revoke_access_to_views
can_revoke_access_to_views
can_see_bank_account_balance
can_see_bank_account_bank_name
false
can_see_bank_account_credit_limit
false
can_see_bank_account_currency
can_see_bank_account_iban
can_see_bank_account_label
false
can_see_bank_account_national_identifier
can_see_bank_account_number
false
can_see_bank_account_owners
false
can_see_bank_account_routing_address
can_see_bank_account_routing_scheme
can_see_bank_account_swift_bic
can_see_bank_account_type
can_see_bank_routing_address
false
can_see_bank_routing_scheme
can_see_comments
can_see_corporate_location
false
can_see_image_url
false
can_see_images
false
can_see_more_info
can_see_open_corporates_url
can_see_other_account_bank_name
can_see_other_account_iban
can_see_other_account_kind
can_see_other_account_metadata
can_see_other_account_national_identifier
false
can_see_other_account_number
false
can_see_other_account_routing_address
false
can_see_other_account_routing_scheme
can_see_other_account_swift_bic
false
can_see_other_bank_routing_address
can_see_other_bank_routing_scheme
can_see_owner_comment
can_see_physical_location
can_see_private_alias
can_see_public_alias
can_see_tags
can_see_transaction_amount
false
can_see_transaction_balance
can_see_transaction_currency
can_see_transaction_description
false
can_see_transaction_finish_date
can_see_transaction_metadata
can_see_transaction_other_bank_account
can_see_transaction_start_date
can_see_transaction_this_bank_account
can_see_transaction_type
can_see_url
false
can_see_where_tag
false
description
Description of the object. Maximum length is 2000. It can be any characters here.
hide_metadata_if_alias_used
false
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_public
false
is_system
true
metadata_view
short_name
views
Example success response
{
  "views": [
    {
      "id": "1234",
      "short_name": "short_name",
      "description": "description",
      "metadata_view": "owner",
      "is_public": true,
      "is_system": true,
      "alias": "No",
      "hide_metadata_if_alias_used": true,
      "can_grant_access_to_views": [
        "owner"
      ],
      "can_revoke_access_to_views": [
        "owner"
      ],
      "can_add_comment": true,
      "can_add_corporate_location": true,
      "can_add_image": true,
      "can_add_image_url": true,
      "can_add_more_info": true,
      "can_add_open_corporates_url": true,
      "can_add_physical_location": true,
      "can_add_private_alias": true,
      "can_add_public_alias": true,
      "can_add_tag": true,
      "can_add_url": true,
      "can_add_where_tag": true,
      "can_delete_comment": true,
      "can_add_counterparty": true,
      "can_delete_corporate_location": true,
      "can_delete_image": true,
      "can_delete_physical_location": true,
      "can_delete_tag": true,
      "can_delete_where_tag": true,
      "can_edit_owner_comment": true,
      "can_see_bank_account_balance": true,
      "can_query_available_funds": true,
      "can_see_bank_account_bank_name": true,
      "can_see_bank_account_currency": true,
      "can_see_bank_account_iban": true,
      "can_see_bank_account_label": true,
      "can_see_bank_account_national_identifier": true,
      "can_see_bank_account_number": true,
      "can_see_bank_account_owners": true,
      "can_see_bank_account_swift_bic": true,
      "can_see_bank_account_type": true,
      "can_see_comments": true,
      "can_see_corporate_location": true,
      "can_see_image_url": true,
      "can_see_images": true,
      "can_see_more_info": true,
      "can_see_open_corporates_url": true,
      "can_see_other_account_bank_name": true,
      "can_see_other_account_iban": true,
      "can_see_other_account_kind": true,
      "can_see_other_account_metadata": true,
      "can_see_other_account_national_identifier": true,
      "can_see_other_account_number": true,
      "can_see_other_account_swift_bic": true,
      "can_see_owner_comment": true,
      "can_see_physical_location": true,
      "can_see_private_alias": true,
      "can_see_public_alias": true,
      "can_see_tags": true,
      "can_see_transaction_amount": true,
      "can_see_transaction_balance": true,
      "can_see_transaction_currency": true,
      "can_see_transaction_description": true,
      "can_see_transaction_finish_date": true,
      "can_see_transaction_metadata": true,
      "can_see_transaction_other_bank_account": true,
      "can_see_transaction_start_date": true,
      "can_see_transaction_this_bank_account": true,
      "can_see_transaction_type": true,
      "can_see_url": true,
      "can_see_where_tag": true,
      "can_see_bank_routing_scheme": true,
      "can_see_bank_routing_address": true,
      "can_see_bank_account_routing_scheme": true,
      "can_see_bank_account_routing_address": true,
      "can_see_other_bank_routing_scheme": true,
      "can_see_other_bank_routing_address": true,
      "can_see_other_account_routing_scheme": true,
      "can_see_other_account_routing_address": true,
      "can_add_transaction_request_to_own_account": true,
      "can_add_transaction_request_to_any_account": true,
      "can_see_bank_account_credit_limit": true,
      "can_create_direct_debit": true,
      "can_create_standing_order": true
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv5.0.0 getViewsForBankAccount Originally /obp/v5.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/views